%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
-module(erl.system.os).

-export([getenv/0, getenv/1, pid/0, setenv/2]).


%% @doc Returns a list of all environment variables.
getenv() ->
    erl.system.debug:getenv().    % Built-in function


%% @doc Returns the value of an environment variable. Returns
%% <code>false</code> if the variable is not defined in the environment.
%% <p>FIXME: should return <code>undefined</code>, not <code>false</code>.</p>
getenv(Name) ->
    erl.system.debug:getenv(Name).    % Built-in function


%% @doc Returns the process identifier of the current Erlang emulator in
%% the format most commonly used by the operating system environment.
pid() ->
    erl.system.debug:pid().    % Built-in function


%% @doc Set environment variable <code>Name</code> to
%% <code>Value</code>.
%% <p>FIXME: should return <code>ok</code>, not <code>true</code>.</p>
setenv(Name, Value) ->
    erl.system.debug:setenv(Name, Value).    % Built-in function
